<!DOCTYPE html>
<html
  lang="en"
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
  layout:decorate="~{layout2}"
>
  <head>
    <meta charset="UTF-8" />
    <title>Budget Line</title>
  </head>
  <body>
    <main
      layout:fragment="main"
      class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
    >
      <div th:include="sidebar_setting::sidebar_setting" th:remove="tag">
        sidebar
      </div>
      <main class="bd-main-xxl">
        <div class="row">
          <div class="col-md-12">
            <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
              Employes
            </div>
          </div>
        </div>

        <div
          class="alert alert-success"
          role="alert"
          th:if="${success != null}"
        >
          Save data successfull....
        </div>

        <form method="get">
          <div class="row">
            <div class="col-md-6">
              <!--            <h3 class="box-title">List of Budget Line</h3>-->
              <p>
                <a
                  class="link-primary"
                  th:href="@{/masterdata/karyawan/baru}"
                  role="button"
                  >Klik disini</a
                >
                jika anda ingin mendaftarkan karyawan baru.
              </p>
            </div>
            <div class="col-md-6" align="right"></div>
          </div>
          <div class="row">
            <div class="col-md-9">
              Show entries <span sd:page-size-selector="javascript"></span>
            </div>

            <div class="col-md-3" align="right">
              <input
                class="form-control me-2"
                type="text"
                placeholder="Search"
                name="search"
                th:value="${search}"
                aria-label="Search"
              />
              <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
            </div>
          </div>
          <br />
        </form>
        <div class="row">
          <div class="col-md-12">
            <!-- <div class="tableFixHead"> -->
            <table class="table table-hover table-striped small">
              <thead class="table-dark" style="--bs-table-bg: #15408d">
                <tr>
                  <th scope="col" style="width: 10px">#</th>
                  <th scope="col">ID</th>
                  <th scope="col">Name</th>
                  <th class="text-center" scope="col">Gender</th>
                  <th class="text-center" scope="col">Status</th>
                  <th scope="col" class="text-end">Options</th>
                  <th scope="col" style="width: 40px"></th>
                </tr>
              </thead>
              <tbody class="align-middle">
                <tr th:each="dataKaryawan,row : ${listKaryawan}">
                  <td
                    align="right"
                    th:text="${(row.index + 1) + (listKaryawan.number * listKaryawan.size)}"
                  >
                    1.
                  </td>
                  <td th:text="${dataKaryawan.nik}">>016.127</td>
                  <td th:text="${dataKaryawan.namaKaryawan}">
                    >Adi Mulya Suprayogi
                  </td>
                  <td
                    class="text-center"
                    th:text="${dataKaryawan.jenisKelamin}"
                  >
                    >Pria
                  </td>
                  <td class="text-center">
                    <span
                      th:if="${dataKaryawan.statusAktif.toString != 'AKTIF'}"
                      class="badge bg-secondary"
                      th:text="${dataKaryawan.statusAktif}"
                    ></span>
                    <span
                      th:if="${dataKaryawan.statusAktif.toString == 'AKTIF'}"
                      class="badge bg-success"
                      th:text="${dataKaryawan.statusAktif}"
                    ></span>
                  </td>
                  <td class="text-end">
                    <a
                      th:href="@{/masterdata/karyawan/detail(detail = ${dataKaryawan.id})}"
                      class="btn btn-sm btn-secondary"
                      title="Detail"
                      ><i class="fa fa-eye"></i
                    ></a>
                    <a
                      th:href="@{/masterdata/karyawan/edit(id = ${dataKaryawan.id})}"
                      class="btn btn-sm btn-primary"
                      title="Edit"
                      ><i class="fa fa-edit" Edit></i
                    ></a>
                  </td>
                  <td>
                    <form
                      method="post"
                      th:action="@{/masterdata/karyawan/hapus(karyawan=${dataKaryawan.id})}"
                    >
                      <button
                        type="submit"
                        class="btn btn-sm btn-danger"
                        onclick="return confirm('Are you sure want to delete this?')"
                      >
                        <i class="fa fa-trash"></i>
                      </button>
                    </form>
                  </td>
                </tr>
              </tbody>
            </table>
            <!-- </div> -->
            <br />

            <nav aria-label="Page navigation example">
              <ul class="pagination" sd:pagination="full"></ul>
            </nav>
          </div>
        </div>
      </main>
    </main>
  </body>
</html>
